@echo off
setlocal
set STIL=../asma/Docs/STIL.txt
echo Lines with leading spaces:
grep -E " $" %STIL%
echo Lines exceeding 100 characters:
grep -E ".{100}" %STIL%
echo Lines not matching the format:
grep -v -n -E "^#|^/|^   NAME: |^  TITLE: |^ ARTIST: |^COMMENT: |^         |^$|\(#[0-9]+\)$" %STIL%
echo Lines that ...???
perl -ne "m{^/(\S+)} and (-e qq{../asma/$1} or print)" %STIL%
echo Number of file paths:
grep -c "^/" %STIL%
